Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.cics
Class BYTEFX

    java.lang.Object
      com.stc.eways.cics.BYTEFX

    public class BYTEFX

extends java.lang.Object

Constructor Summary
`BYTEFX()`

Method Summary
`static byte` | `HIBYTE(short ii)` Misc static BYTE & WORD conversion functions
`static byte` | `HINIBBLE(byte b)`
`static short` | `HIWORD(int ii)`
`static int` | `LITTLE_BIG(int wk)`
`static byte` | `LOWBYTE(short ii)`
`static byte` | `LOWNIBBLE(byte b)`
`static short` | `LOWWORD(int ii)`
`static byte` | `MAKEBYTE(byte l, byte h)`
`static int` | `MAKEINT(short l, short h)`
`static short` | `MAKESHORT(byte l, byte h)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BYTEFX

    public BYTEFX()

Method Detail

### LOWBYTE

    public static final byte LOWBYTE(short ii)

### LOWWORD

    public static final short LOWWORD(int ii)

### HIBYTE

    public static final byte HIBYTE(short ii)

  Misc static BYTE & WORD conversion functions

### HIWORD

    public static final short HIWORD(int ii)

### MAKESHORT

    public static final short MAKESHORT(byte l,
                                        byte h)

### MAKEINT

    public static final int MAKEINT(short l,
                                    short h)

### MAKEBYTE

    public static final byte MAKEBYTE(byte l,
                                      byte h)

### LOWNIBBLE

    public static final byte LOWNIBBLE(byte b)

### HINIBBLE

    public static final byte HINIBBLE(byte b)

### LITTLE_BIG

    public static int LITTLE_BIG(int wk)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD